//
//  KeyChainUtil.h
//  app_info
//
//  Created by 郭平 on 2019/7/8.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface AppInfoKeyChainUtil : NSObject

+ (BOOL)saveItem:(NSString *)item withService:(NSString *)service key:(NSString *)key;

+ (NSString *)getItemWithService:(NSString *)service key:(NSString *)key prompt:(NSString *)prompt;

+ (NSArray<NSString *> *)getAllItemsWithService:(NSString *)service prompt:(NSString *)prompt;

+ (BOOL)deleteItemWithService:(NSString *)service key:(NSString *)key;

@end

NS_ASSUME_NONNULL_END
